brasero-status
3
BRASERO Library

# brasero-status

## Synopsis

                        BraseroStatus;
    enum                BraseroStatusType;
    BraseroStatus *     brasero_status_new                  (void);
    void                brasero_status_free                 (BraseroStatus *status);
    BraseroBurnResult   brasero_status_get_result           (BraseroStatus *status);
    gdouble             brasero_status_get_progress         (BraseroStatus *status);
    GError *            brasero_status_get_error            (BraseroStatus *status);
    gchar *             brasero_status_get_current_action   (BraseroStatus *status);
    void                brasero_status_set_completed        (BraseroStatus *status);
    void                brasero_status_set_not_ready        (BraseroStatus *status,
                                                             gdouble progress,
                                                             const gchar *current_action);
    void                brasero_status_set_error            (BraseroStatus *status,
                                                             GError *error);

## Description

## Details

### BraseroStatus

    typedef struct _BraseroStatus BraseroStatus;

### enum BraseroStatusType

    typedef enum {
    	BRASERO_STATUS_OK			= 0,
    	BRASERO_STATUS_ERROR,
    	BRASERO_STATUS_QUESTION,
    	BRASERO_STATUS_INFORMATION
    } BraseroStatusType;

### brasero_status_new ()

    BraseroStatus *     brasero_status_new                  (void);

Returns :

### brasero_status_free ()

    void                brasero_status_free                 (BraseroStatus *status);

`status` :

### brasero_status_get_result ()

    BraseroBurnResult   brasero_status_get_result           (BraseroStatus *status);

`status` :

Returns :

### brasero_status_get_progress ()

    gdouble             brasero_status_get_progress         (BraseroStatus *status);

`status` :

Returns :

### brasero_status_get_error ()

    GError *            brasero_status_get_error            (BraseroStatus *status);

`status` :

Returns :

### brasero_status_get_current_action ()

    gchar *             brasero_status_get_current_action   (BraseroStatus *status);

`status` :

Returns :

### brasero_status_set_completed ()

    void                brasero_status_set_completed        (BraseroStatus *status);

`status` :

### brasero_status_set_not_ready ()

    void                brasero_status_set_not_ready        (BraseroStatus *status,
                                                             gdouble progress,
                                                             const gchar *current_action);

`status` :

`progress` :

`current_action` :

### brasero_status_set_error ()

    void                brasero_status_set_error            (BraseroStatus *status,
                                                             GError *error);

`status` :

`error` :